# PSF-LoginServer - master - net.psforever.zones.Zones
PSF - LoginServer - master - net.psforever.zones.Zones
Keywords: PSF LoginServer master net.psforever.zones.Zones

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package zones
  Definition Classes
    psforever
- Zones

o

net.psforever.zones

# Zones

###

#### object Zones

Source
  Zones.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Zones
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def initZoneAmenities(zone: Zone): Unit
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def numberFromId(id: String): Int

    Given a zone identification string, provide that zone's ordinal number.

    Given a zone identification string, provide that zone's ordinal number. As zone identification naming is extremely formulaic, just being able to poll the zone's identifier by its first few letters will produce its ordinal position.

    id

      a zone id string

    returns

      a zone number

17.  def sanctuaryZoneId(faction: types.PlanetSideEmpire.Value): String

    Get the zone identifier name for the sanctuary continent of a given empire.

    Get the zone identifier name for the sanctuary continent of a given empire.

    faction

      the empire

    returns

      the zone id

18.  def sanctuaryZoneNumber(faction: types.PlanetSideEmpire.Value): Int

    Get the zone number for the sanctuary continent of a given empire.

    Get the zone number for the sanctuary continent of a given empire.

    faction

      the empire

    returns

      the zone number, within the sequence 1-32

19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
24.  lazy val zoneMaps: Seq[ZoneMap]
25.  lazy val zones: Seq[Zone]
26.  object HotSpots

### Inherited from AnyRef

### Inherited from Any

### Ungrouped